import request from '@/utils/request'

// 查询直播间分组分类列表
export function listLiveGroupType(query) {
  return request({
    url: '/live/liveGroupType/list',
    method: 'get',
    params: query
  })
}

// 查询直播间分组分类详细
export function getLiveGroupType(id) {
  return request({
    url: '/live/liveGroupType/' + id,
    method: 'get'
  })
}

// 新增直播间分组分类
export function addLiveGroupType(data) {
  return request({
    url: '/live/liveGroupType',
    method: 'post',
    data: data
  })
}

// 修改直播间分组分类
export function updateLiveGroupType(data) {
  return request({
    url: '/live/liveGroupType',
    method: 'put',
    data: data
  })
}

// 删除直播间分组分类
export function delLiveGroupType(id) {
  return request({
    url: '/live/liveGroupType/' + id,
    method: 'delete'
  })
}

// 导出直播间分组分类
export function exportLiveGroupType(query) {
  return request({
    url: '/live/liveGroupType/export',
    method: 'get',
    params: query
  })
}
